# generated by cabal-rpm-2.2.2 --standalone
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global ghc_major 9.2
%global ghc_name ghc%{ghc_major}

%global debug_package %{nil}

Name:           purescript
Version:        0.15.15
Release:        1%{?dist}
Summary:        PureScript Programming Language Compiler

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/purescript
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-rpm-macros
%if %{defined ghc_name}
BuildRequires:  %{ghc_name}-devel
%else
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-better-errors-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-ansi-wl-pprint-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-bower-json-devel
BuildRequires:  ghc-boxes-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cborg-devel
BuildRequires:  ghc-cheapskate-devel
BuildRequires:  ghc-clock-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-cryptonite-devel
BuildRequires:  ghc-data-ordlist-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-dlist-devel
BuildRequires:  ghc-edit-distance-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-file-embed-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gitrev-devel
BuildRequires:  ghc-haskeline-devel
BuildRequires:  ghc-language-javascript-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-lifted-async-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-monad-logger-devel
#BuildRequires:  ghc-monoidal-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parallel-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pattern-arrows-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-protolude-devel
BuildRequires:  ghc-regex-tdfa-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-semialign-devel
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-serialise-devel
BuildRequires:  ghc-sourcemap-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-stringsearch-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-these-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-witherable-devel
BuildRequires:  happy
%endif
BuildRequires:  help2man
BuildRequires:  cabal-install
%if %{undefined ghc_name}
# for missing dep 'monoidal-containers':
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-unordered-containers-devel
%endif
# End cabal-rpm deps
BuildRequires:  zlib-devel

%description
A small strongly, statically typed programming language with expressive types,
inspired by Haskell and compiling to JavaScript.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%global cabal_install %{_bindir}/cabal
%cabal_install update -w ghc-%{ghc_major}
%if %{defined rhel} && 0%{?rhel} < 9
%cabal_install sandbox init
%cabal_install install
%endif
# End cabal-rpm build


%install
%if %{defined el9}
LANG=C.utf8
%endif
# Begin cabal-rpm install
mkdir -p %{buildroot}%{_bindir}
%if %{defined fedora} || 0%{?rhel} >= 9
%ghc_set_gcc_flags
%cabal_install install -w ghc-%{ghc_major} --install-method=copy --enable-executable-stripping --installdir=%{buildroot}%{_bindir}
%else
for i in .cabal-sandbox/bin/*; do
strip -s -o %{buildroot}%{_bindir}/$(basename $i) $i
done
%endif

set noclobber
mkdir -p %{buildroot}%{bash_completions_dir}
%{buildroot}%{_bindir}/purs --bash-completion-script purs | sed s/filenames/default/ > %{buildroot}%{bash_completions_dir}/purs

mkdir -p %{buildroot}%{_mandir}/man1/
help2man --no-info %{buildroot}%{_bindir}/purs > %{buildroot}%{_mandir}/man1/purs.1
# End cabal-rpm install


%files
# Begin cabal-rpm files:
%license LICENSE
%doc CONTRIBUTING.md CONTRIBUTORS.md README.md
%{_bindir}/purs
%{bash_completions_dir}/purs
%{_mandir}/man1/purs.1*
# End cabal-rpm files


%changelog
* Sat Jan 11 2025 Jens Petersen <petersen@redhat.com> - 0.15.15-1
- https://github.com/purescript/purescript/releases/tag/v0.15.15

* Thu Nov 30 2023 Jens Petersen <petersen@redhat.com> - 0.15.13-1
- spec file generated by cabal-rpm-2.1.5
